Skip to main content
GET
/
wallet
/
{customer_id}
/
{wallet_id}
cURL
curl --request GET \
  --url https://sandbox.zylo.digital/cms/api/v1/wallet/{customer_id}/{wallet_id} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-SIGNATURE: <api-key>' \
  --header 'X-TIMESTAMP: <api-key>'
{
  "status": true,
  "message": "Success",
  "data": {
    "id": "4e6f1b20-a73c-11ec-b909-0242ac120002",
    "customer_id": "550e8400-e29b-41d4-a716-446655440000",
    "wallet_address": "0x1234567890123456789012345678901234567890",
    "wallet_status": "ACTIVE",
    "failure_reason": "null"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dollarpe.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API Key for authentication

X-TIMESTAMP
string
header
required

Current timestamp in seconds since epoch

X-SIGNATURE
string
header
required

HMAC SHA256 signature of the request encoded in Base64

Path Parameters

customer_id
string<uuid>
required

Customer's unique identifier

wallet_id
string<uuid>
required

Wallet's unique identifier

Response

Wallet details fetched successfully

status
boolean
Example:

true

message
string
Example:

"Success"

data
object